#!/bin/bash
docker run -it --rm -v $PWD:/work fontcc --jCmd=8 ttf::Iosevka
if [ "$1" == "" ]; then
	sudo  chown -R adam dist/
	./post-process.sh
	docker run --rm -v ./dist/Iosevka/TTF:/in -v ./dist/out:/out nerdfonts/patcher \\n  --careful --complete --mono
	mkdir -p ~/.fonts/Iosevka-ttf/
	cp -pr dist/out/Iosevka-* ~/.fonts/Iosevka-ttf/
	fc-cache -f
fi

